Skip to Content

Prices

getPrice

Returns the current USD and EUR price for a token by symbol. Uses canonical token matching to skip bridged/wrapped variants.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getPrice",
  "params": {
    "symbol": "BTC"
  },
  "id": 1
}
Available Tokens
BTCETHSOLUSDCUSDTLINKHYPEwstETHstETHDOTTONNEARMORPHOSSVMOVRKSMsUSDeMRE7YIELDsUSDSAPTSTORYAKTTRXEIGENHBARINITIOTASTRKMONSPKstSPKGLMRBABYFUELSSSSAGAstLINKETHVETHW

Parameters

NameRequiredDescription
symbolyesToken symbol
Options: BTC, ETH, SOL, USDC, USDT, LINK, HYPE, wstETH, stETH, DOT, TON, NEAR, MORPHO, SSV, MOVR, KSM, sUSDe, MRE7YIELD, sUSDS, APT, STORY, AKT, TRX, EIGEN, HBAR, INIT, IOTA, STRK, MON, SPK, stSPK, GLMR, BABY, FUEL, SSS, SAGA, stLINK, ETHV, ETHW

Response Fields

FieldType
dataobject
symbolstring
namestring
priceUsdinteger
priceEurinteger
lastUpdatedstring
Try It
{
  "jsonrpc": "2.0",
  "method": "getPrice",
  "params": {
    "symbol": "BTC"
  },
  "id": 1
}

Endpoint "price-batch" not found

getTopPrices

Returns the most widely deployed tokens ranked by cross-chain adoption count, then by price. Deduplicated by symbol. Useful for building token lists and discovery UIs.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getTopPrices",
  "params": {
    "limit": 50,
    "currency": "USD"
  },
  "id": 1
}
Available Tokens
BTCETHSOLUSDCUSDTLINKHYPEwstETHstETHDOTTONNEARMORPHOSSVMOVRKSMsUSDeMRE7YIELDsUSDSAPTSTORYAKTTRXEIGENHBARINITIOTASTRKMONSPKstSPKGLMRBABYFUELSSSSAGAstLINKETHVETHW

Parameters

NameRequiredDescription
limitnoMax results (default 50, max 200)
e.g. 50
currencynoPrice currency
Options: USD, EUR

Response Fields

FieldType
dataobject
countinteger
resultsobject[]
symbolstring
namestring
pricenumber
currencystring
chainsinteger
lastUpdatedstring
Try It
{
  "jsonrpc": "2.0",
  "method": "getTopPrices",
  "params": {
    "limit": 50,
    "currency": "USD"
  },
  "id": 1
}

getPriceHistory

Returns daily price history for a token. Defaults to 30 days, max 90. One data point per day using the daily maximum price.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "getPriceHistory",
  "params": {
    "symbol": "BTC",
    "days": 30,
    "currency": "USD"
  },
  "id": 1
}
Available Tokens
BTCETHSOLUSDCUSDTLINKHYPEwstETHstETHDOTTONNEARMORPHOSSVMOVRKSMsUSDeMRE7YIELDsUSDSAPTSTORYAKTTRXEIGENHBARINITIOTASTRKMONSPKstSPKGLMRBABYFUELSSSSAGAstLINKETHVETHW

Parameters

NameRequiredDescription
symbolyesToken symbol
Options: BTC, ETH, SOL, USDC, USDT, LINK, HYPE, wstETH, stETH, DOT, TON, NEAR, MORPHO, SSV, MOVR, KSM, sUSDe, MRE7YIELD, sUSDS, APT, STORY, AKT, TRX, EIGEN, HBAR, INIT, IOTA, STRK, MON, SPK, stSPK, GLMR, BABY, FUEL, SSS, SAGA, stLINK, ETHV, ETHW
daysnoNumber of days (default 30, max 90)
e.g. 30
currencynoPrice currency
Options: USD, EUR

Response Fields

FieldType
dataobject
symbolstring
namestring
currencystring
pricesobject[]
datestring
pricenumber
Try It
{
  "jsonrpc": "2.0",
  "method": "getPriceHistory",
  "params": {
    "symbol": "BTC",
    "days": 30,
    "currency": "USD"
  },
  "id": 1
}